Index: resources/views/dashboard/users/create.blade.php
===================================================================
--- resources/views/dashboard/users/create.blade.php	(revision ea7b12a15d1afa472a54d5b8c75c55917907862e)
+++ 	(revision )
@@ -1,117 +1,0 @@
-@extends('layouts.app')
-
-@section("title", "Users - Create new")
-
-@section('pageTitle', 'Create user')
-
-@section('content')
-
-    <div class="page-header">
-        <nav aria-label="breadcrumb" class="d-flex align-items-start">
-            <ol class="breadcrumb">
-                <li class="breadcrumb-item">
-                    <a href="{{ url('dashboard/users') }}">Users</a>
-                </li>
-                <li class="breadcrumb-item active" aria-current="page">Create user</li>
-            </ol>
-        </nav>
-    </div>
-
-    <div class="row">
-        <div class="col-md-12">
-
-            <div class="row">
-                <div class="col-lg-12 col-md-12">
-                    <div class="tab-content" id="v-pills-tabContent">
-                        <div class="tab-pane fade show active" id="v-pills-home" role="tabpanel" aria-labelledby="v-pills-home-tab">
-                            <div class="card">
-                                <div class="card-body">
-                                    <h6 class="card-title">Create user</h6>
-                                    <form action="{{ route("dashboard.users.store") }}" method="post" accept-charset="utf-8" enctype='multipart/form-data' class="needs-validation" novalidate>
-                                        @csrf
-                                        <div class="row">
-                                            <div class="col-md-6">
-                                                <div class="form-group">
-                                                    <label>Name</label>
-                                                    <input type="text" name="name" value="{{ old('name') }}" minlength="2" maxlength="25" pattern="[a-zA-Zа-шА-Ш._\s]+" class="form-control" placeholder="Name" required>
-                                                    <div class="invalid-feedback">
-                                                        Please enter only letters and spaces with length between [2, 25]
-                                                    </div>
-                                                </div>
-                                            </div>
-                                            <div class="col-md-6">
-                                                <div class="form-group">
-                                                    <label>Surname</label>
-                                                    <input type="text" name="surname" value="{{ old('surname') }}" minlength="2" maxlength="25" pattern="[a-zA-Zа-шА-Ш._\s]+" class="form-control" placeholder="Surname" required>
-                                                    <div class="invalid-feedback">
-                                                        Please enter only letters and spaces with length between [2, 25]
-                                                    </div>
-                                                </div>
-                                            </div>
-                                        </div>
-                                        <div class="row">
-                                            <div class="col-md-6">
-                                                <div class="form-group">
-                                                    <label class="form-label">Username</label>
-                                                    <input type="text" name="username" value="{{ old('username') }}" minlength="5" maxlength="30" class="form-control" placeholder="Username" required>
-                                                    <div class="invalid-feedback">
-                                                        Please enter characters with length between [5, 30]
-                                                    </div>
-                                                </div>
-                                            </div>
-                                            <div class="col-md-6">
-                                                <div class="form-group">
-                                                    <label class="form-label">Role</label>
-                                                    <select class="form-control" name="userRole required">
-                                                        @foreach ($roles as $role)
-                                                            <option value="{{ $role->id }}" {{ (old("userRole") == $role->id ? "selected" : "" ) }}>{{ $role->name }}</option>
-                                                        @endforeach
-                                                    </select>
-                                                </div>
-                                            </div>
-                                        </div>
-                                        <div class="row">
-                                            <div class="col-md-6">
-                                                <div class="form-group">
-                                                    <label>Email</label>
-                                                    <input type="email" name="email" value="{{ old('email') }}" class="form-control" placeholder="E-mail" required>
-                                                    <div class="invalid-feedback">
-                                                        Please enter a valid email address
-                                                    </div>
-                                                </div>
-                                            </div>
-                                            <div class="col-md-6">
-                                                <div class="form-group">
-                                                    <label class="form-label">Phone Number</label>
-                                                    <input type="text" name="phone_number" value="{{ old('phone_number') }}" class="form-control" placeholder="Phone number" autocomplete="off" required>
-                                                    <div class="invalid-feedback">
-                                                        Please enter your phone number
-                                                    </div>
-                                                </div>
-                                            </div>
-
-                                        </div>
-
-                                        <div class="row">
-                                            <div class="col-md-6">
-                                                <div class="form-group">
-                                                    <label>Avatar</label>
-                                                    <input type="file" name="avatar" value="{{ old('avatar') }}" class="form-control" accept="image/*">
-                                                    <div class="invalid-feedback">
-                                                        Please upload a valid image file
-                                                    </div>
-                                                </div>
-                                            </div>
-                                        </div>
-                                            <input type="submit" value="Save changes" class="submitBtn btn btn-primary pull-right m-10">
-                                    </form>
-                                </div>
-                            </div>
-                        </div>
-                    </div>
-                </div>
-            </div>
-        </div>
-    </div>
-
-@endsection
Index: resources/views/dashboard/users/edit.blade.php
===================================================================
--- resources/views/dashboard/users/edit.blade.php	(revision ea7b12a15d1afa472a54d5b8c75c55917907862e)
+++ 	(revision )
@@ -1,122 +1,0 @@
-@extends('layouts.app')
-
-@section("title", "Users - Edit user")
-
-@section('pageTitle', 'Edit user')
-
-@section('content')
-
-    <div class="page-header">
-        <nav aria-label="breadcrumb" class="d-flex align-items-start">
-            <ol class="breadcrumb">
-                <li class="breadcrumb-item">
-                    <a href="{{ url('dashboard/users') }}">Users</a>
-                </li>
-                <li class="breadcrumb-item active" aria-current="page">Edit user</li>
-            </ol>
-        </nav>
-    </div>
-
-    <div class="row">
-        <div class="col-md-12">
-
-            <div class="row">
-                <div class="col-lg-12 col-md-12">
-                    <div class="tab-content" id="v-pills-tabContent">
-                        <div class="tab-pane fade show active" id="v-pills-home" role="tabpanel" aria-labelledby="v-pills-home-tab">
-                            <div class="card">
-                                <div class="card-body">
-                                    <h6 class="card-title">User account data</h6>
-                                    <form action="{{ route("dashboard.users.edit", ["id" =>$user->id]) }}" method="post" accept-charset="utf-8" enctype='multipart/form-data' class="needs-validation" novalidate>
-                                        @method("patch")
-                                        @csrf
-                                        <div class="row">
-                                            <div class="col-md-6">
-                                                <div class="form-group">
-                                                    <label>Name</label>
-                                                    <input type="text" name="name" value="{{ $user->name }}" minlength="2" maxlength="30" pattern="[a-zA-Zа-шА-Ш._\s]+" class="form-control" placeholder="Name" required>
-                                                    <div class="invalid-feedback">
-                                                        Please enter only letters and spaces with length between [2, 30]
-                                                    </div>
-                                                </div>
-                                            </div>
-                                            <div class="col-md-6">
-                                                <div class="form-group">
-                                                    <label>Surname</label>
-                                                    <input type="text" name="surname" value="{{$user->surname}}" minlength="2" maxlength="30" pattern="[a-zA-Zа-шА-Ш._\s]+" class="form-control" placeholder="Surname" required>
-                                                    <div class="invalid-feedback">
-                                                        Please enter only letters and spaces with length between [2, 30]
-                                                    </div>
-                                                </div>
-                                            </div>
-                                        </div>
-                                        <div class="row">
-                                            <div class="col-md-6">
-                                                <div class="form-group">
-                                                    <label class="form-label">Username</label>
-                                                    <input type="text" name="username" value="{{ $user->username }}" minlength="5" maxlength="30" class="form-control" placeholder="Username" required>
-                                                    <div class="invalid-feedback">
-                                                        Please enter characters with length between [5, 30]
-                                                    </div>
-                                                </div>
-                                            </div>
-                                            <div class="col-md-6">
-                                                <div class="form-group">
-                                                    <label class="form-label">Role</label>
-
-                                                    <select class="form-control" name="userRole" required>
-                                                        @foreach($roles as $role)
-                                                            <option value="{{ $role->id }}" {{ $user->role_id == $role->id ? "selected" : "" }}>{{ $role->name }}</option>
-                                                        @endforeach
-                                                    </select>
-                                                </div>
-                                            </div>
-                                        </div>
-                                        <div class="row">
-                                            <div class="col-md-6">
-                                                <div class="form-group">
-                                                    <label>Email</label>
-                                                    <input type="email" name="email" value="{{ $user->email }}" maxlength="50" class="form-control" placeholder="E-mail" required>
-                                                    <div class="invalid-feedback">
-                                                        Please enter a valid email address with length <=50
-                                                    </div>
-                                                </div>
-                                            </div>
-                                            <div class="col-md-6">
-                                                <div class="form-group">
-                                                    <label class="form-label">Phone Number</label>
-                                                    <input type="text" name="phone_number" value="{{ $user->phone_number }}" class="form-control" placeholder="Phone number" autocomplete="off" required>
-                                                    <div class="invalid-feedback">
-                                                        Please enter your phone number
-                                                    </div>
-                                                </div>
-                                            </div>
-                                        </div>
-                                        <div class="row">
-                                            <div class="col-md-5">
-                                                <div class="form-group">
-                                                    <label>Avatar</label>
-                                                    <input type="file" name="avatar" value="{{ $user->avatar }}" class="form-control" accept="image/*">
-                                                    <div class="invalid-feedback">
-                                                        Please upload a valid image file
-                                                    </div>
-                                                </div>
-                                            </div>
-                                            <div class="col-md-1">
-                                                <div class="form-group">
-                                                    <label>Current</label>
-                                                    @include('dashboard.partials.avatar')
-                                                </div>
-                                            </div>
-                                        </div>
-                                        <input type="submit" value="Save changes" class="submitBtn btn btn-primary pull-right m-10">
-                                    </form>
-                                </div>
-                            </div>
-                        </div>
-                    </div>
-                </div>
-            </div>
-        </div>
-    </div>
-@endsection
Index: resources/views/dashboard/users/index.blade.php
===================================================================
--- resources/views/dashboard/users/index.blade.php	(revision ea7b12a15d1afa472a54d5b8c75c55917907862e)
+++ resources/views/dashboard/users/index.blade.php	(revision c6b84df06586305606df5b76204a64cdc63b09a2)
@@ -17,13 +17,14 @@
             <ol class="breadcrumb">
                 <li class="breadcrumb-item">
-                    <a href="{{ url('dashboard.users') }}">Users</a>
+                    <a href="{{ url('/') }}">Dashboard</a>
                 </li>
-                <li class="breadcrumb-item active" aria-current="page">User List</li>
+                <li class="breadcrumb-item active" aria-current="page">Users</li>
             </ol>
         </nav>
         <div class="dropdown">
-            <a href="{{ route("dashboard.users.create") }}" class="btn btn-primary text-white">
+            <a href="javascript:void(0)" data-toggle="modal" data-target="#createModal" class="btn btn-primary text-white">
                 Add user
             </a>
+            <a href="{{ route('dashboard.users.export') }}" class="btn btn-success text-white">Export table</a>
         </div>
     </div>
@@ -48,5 +49,4 @@
                                 <th>Role</th>
                                 <th>Status</th>
-                                <th>Last seen</th>
                                 <th>Actions</th>
                             </tr>
@@ -84,17 +84,12 @@
                                     <td>
                                         @if(Cache::has('is_online' . $user->id))
-                                            <span class="text-success">Online</span>
+                                            <span data-toggle="tooltip" data-placement="bottom" title="{{ $user->last_seen }}" style="cursor: pointer;" class="text-success">Online</span>
                                         @else
-                                            <span class="text-secondary">Offline</span>
+                                            <span data-toggle="tooltip" data-placement="bottom" title="{{ $user->last_seen }}" class="text-secondary">Offline</span>
                                         @endif
                                     </td>
-                                    @if($user->last_seen==NULL)
-                                        <td>Never logged in</td>
-                                    @else
-                                    <td>{{ \Carbon\Carbon::parse($user->last_seen)->diffForHumans() }}</td>
-                                    @endif
                                     @if($user->hasRole("Referent") && $user->is_confirmed)
                                         <td>
-                                            <a href="{{ route("dashboard.users.edit", ["id" => $user->id]) }}" class="text-secondary" data-toggle="tooltip" title="Edit">
+                                            <a href="javascript:void(0)" class="text-secondary" data-toggle="modal" data-target="#editModal_{{$user->id}}" title="Edit">
                                                 <i class="ti-pencil"></i>
                                             </a>
@@ -104,12 +99,175 @@
                                         </td>
                                     @else
-                                        <td>Not available</td>
+                                        <td>Admin</td>
                                         @endif
                                 </tr>
+
+                                <div class="modal fade" id="editModal_{{$user->id}}" tabindex="-1" role="dialog" aria-hidden="true">
+                                    <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
+                                        <div class="modal-content">
+                                            <div class="modal-header">
+                                                <h5 class="modal-title" id="exampleModalCenterTitle">Edit user</h5>
+                                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
+                                                    <i class="ti-close"></i>
+                                                </button>
+                                            </div>
+                                            <div class="modal-body">
+                                                <form action="{{ route("dashboard.users.edit", ["id" =>$user->id]) }}" method="post" accept-charset="utf-8" enctype='multipart/form-data'>
+                                                    @method("patch")
+                                                    @csrf
+                                                    <div class="row">
+                                                        <div class="col-md-6">
+                                                            <div class="form-group">
+                                                                <label>Name</label>
+                                                                <input type="text" name="name" value="{{ $user->name }}" minlength="2" maxlength="30" pattern="[a-zA-Zа-шА-Ш._\s]+" class="form-control" placeholder="Name" required>
+                                                            </div>
+                                                        </div>
+                                                        <div class="col-md-6">
+                                                            <div class="form-group">
+                                                                <label>Surname</label>
+                                                                <input type="text" name="surname" value="{{$user->surname}}" minlength="2" maxlength="30" pattern="[a-zA-Zа-шА-Ш._\s]+" class="form-control" placeholder="Surname" required>
+                                                            </div>
+                                                        </div>
+                                                    </div>
+                                                    <div class="row">
+                                                        <div class="col-md-6">
+                                                            <div class="form-group">
+                                                                <label class="form-label">Username</label>
+                                                                <input type="text" name="username" value="{{ $user->username }}" minlength="5" maxlength="30" class="form-control" placeholder="Username" required>
+                                                            </div>
+                                                        </div>
+                                                        <div class="col-md-6">
+                                                            <div class="form-group">
+                                                                <label class="form-label">Role</label>
+
+                                                                <select class="form-control" name="userRole" required>
+                                                                    @foreach($roles as $role)
+                                                                        <option value="{{ $role->id }}" {{ $user->role_id == $role->id ? "selected" : "" }}>{{ $role->name }}</option>
+                                                                    @endforeach
+                                                                </select>
+                                                            </div>
+                                                        </div>
+                                                    </div>
+                                                    <div class="row">
+                                                        <div class="col-md-6">
+                                                            <div class="form-group">
+                                                                <label>Email</label>
+                                                                <input type="email" name="email" value="{{ $user->email }}" maxlength="50" class="form-control" placeholder="E-mail" required>
+                                                            </div>
+                                                        </div>
+                                                        <div class="col-md-6">
+                                                            <div class="form-group">
+                                                                <label class="form-label">Phone Number</label>
+                                                                <input type="text" name="phone_number" value="{{ $user->phone_number }}" class="form-control" placeholder="Phone number" autocomplete="off" required>
+                                                            </div>
+                                                        </div>
+                                                    </div>
+                                                    <div class="row">
+                                                        <div class="col-md-5">
+                                                            <div class="form-group">
+                                                                <label>Avatar</label>
+                                                                <input type="file" name="avatar" value="{{ $user->avatar }}" class="form-control" accept="image/*">
+                                                            </div>
+                                                        </div>
+                                                        <div class="col-md-1">
+                                                            <div class="form-group">
+                                                                <label>Current</label>
+                                                                @include('dashboard.partials.avatar')
+                                                            </div>
+                                                        </div>
+                                                    </div>
+                                                    <div class="modal-footer">
+                                                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close
+                                                        </button>
+                                                        <button type="submit" class="btn btn-primary">Save changes</button>
+                                                    </div>
+                                                </form>
+                                            </div>
+
+                                        </div>
+                                    </div>
+                                </div>
+
                             @endforeach
-
-
                             </tbody>
                         </table>
+
+                        <div class="modal fade" id="createModal" tabindex="-1" role="dialog" aria-hidden="true">
+                            <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
+                                <div class="modal-content">
+                                    <div class="modal-header">
+                                        <h5 class="modal-title" id="exampleModalCenterTitle">Create user</h5>
+                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
+                                            <i class="ti-close"></i>
+                                        </button>
+                                    </div>
+                                    <div class="modal-body">
+                                        <form action="{{ route("dashboard.users.store") }}" method="post" accept-charset="utf-8" enctype='multipart/form-data'>
+                                            @csrf
+                                            <div class="row">
+                                                <div class="col-md-6">
+                                                    <div class="form-group">
+                                                        <label>Name</label>
+                                                        <input type="text" name="name" value="{{ old('name') }}" minlength="2" maxlength="25" pattern="[a-zA-Zа-шА-Ш._\s]+" class="form-control" placeholder="Name" required>
+                                                    </div>
+                                                </div>
+                                                <div class="col-md-6">
+                                                    <div class="form-group">
+                                                        <label>Surname</label>
+                                                        <input type="text" name="surname" value="{{ old('surname') }}" minlength="2" maxlength="25" pattern="[a-zA-Zа-шА-Ш._\s]+" class="form-control" placeholder="Surname" required>
+                                                    </div>
+                                                </div>
+                                            </div>
+                                            <div class="row">
+                                                <div class="col-md-6">
+                                                    <div class="form-group">
+                                                        <label class="form-label">Username</label>
+                                                        <input type="text" name="username" value="{{ old('username') }}" minlength="5" maxlength="30" class="form-control" placeholder="Username" required>
+                                                    </div>
+                                                </div>
+                                                <div class="col-md-6">
+                                                    <div class="form-group">
+                                                        <label class="form-label">Role</label>
+                                                        <select class="form-control" name="userRole" required>
+                                                            @foreach ($roles as $role)
+                                                                <option value="{{ $role->id }}" {{ (old("userRole") == $role->id ? "selected" : "" ) }}>{{ $role->name }}</option>
+                                                            @endforeach
+                                                        </select>
+                                                    </div>
+                                                </div>
+                                            </div>
+                                            <div class="row">
+                                                <div class="col-md-6">
+                                                    <div class="form-group">
+                                                        <label>Email</label>
+                                                        <input type="email" name="email" value="{{ old('email') }}" class="form-control" placeholder="E-mail" required>
+                                                    </div>
+                                                </div>
+                                                <div class="col-md-6">
+                                                    <div class="form-group">
+                                                        <label class="form-label">Phone Number</label>
+                                                        <input type="text" name="phone_number" value="{{ old('phone_number') }}" class="form-control" placeholder="Phone number" autocomplete="off" required>
+                                                    </div>
+                                                </div>
+                                            </div>
+                                            <div class="row">
+                                                <div class="col-md-6">
+                                                    <div class="form-group">
+                                                        <label>Avatar</label>
+                                                        <input type="file" name="avatar" value="{{ old('avatar') }}" class="form-control" accept="image/*">
+                                                    </div>
+                                                </div>
+                                            </div>
+                                            <div class="modal-footer">
+                                                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close
+                                                </button>
+                                                <button type="submit" class="btn btn-primary">Save changes</button>
+                                            </div>
+                                        </form>
+                                    </div>
+                                </div>
+                            </div>
+                        </div>
+
                     </div>
                 </div>
